/**
 * @(#)CustomerSearchForm.java 
 *
 * Copyright (c) 2004 EinTech, Inc. All Rights Reserved.
 *
 * EinTech, Inc. MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE
 * SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT
 * NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
 * A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. EinTech, Inc. SHALL
 * NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF
 * USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 *
 * But, what the hey, enjoy it anyway...!  :)
 */
package kickstart.j2ee.servlet;

/**
 * @author carlos
 *
 */
public class CustomerSearchForm {

    private String _name;
    private String _street;
    private String _city;
    private String _state;
    private String _zipcode;
    private String _phoneNumber;

    /**
     * @param string
     */
    public void setPhoneNumber(String phone) {
        _phoneNumber = phone;
        
    }

    /**
     * @return Returns the phoneNumber.
     */
    public String getPhoneNumber() {
        return _phoneNumber;
    }

    /**
     * @return
     */
    public boolean validate() {
        boolean result = false;
        
        result = _phoneNumber != null && _phoneNumber.trim().length() > 0;
        
        return result;
    }

    /**
     * @return Returns the city.
     */
    public String getCity() {
        return _city;
    }
    /**
     * @param city The city to set.
     */
    public void setCity(String city) {
        _city = city;
    }
    /**
     * @return Returns the name.
     */
    public String getName() {
        return _name;
    }
    /**
     * @param name The name to set.
     */
    public void setName(String name) {
        _name = name;
    }
    /**
     * @return Returns the state.
     */
    public String getState() {
        return _state;
    }
    /**
     * @param state The state to set.
     */
    public void setState(String state) {
        _state = state;
    }
    /**
     * @return Returns the street.
     */
    public String getStreet() {
        return _street;
    }
    /**
     * @param street The street to set.
     */
    public void setStreet(String street) {
        _street = street;
    }
    /**
     * @return Returns the zipcode.
     */
    public String getZipcode() {
        return _zipcode;
    }
    /**
     * @param zipcode The zipcode to set.
     */
    public void setZipcode(String zipcode) {
        _zipcode = zipcode;
    }
}
