//Created by MyEclipse Struts
// XSL source (default): platform:/plugin/com.genuitec.eclipse.cross.easystruts.eclipse_3.7.101/xslt/JavaClass.xsl

package eclipse.kickstart.struts.form;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;

/** 
 * MyEclipse Struts
 * Creation date: 06-07-2004
 * 
 * XDoclet definition:
 * @struts:form name="courseSearchForm"
 */
public class CourseSearchFormSave extends ActionForm {

    // --------------------------------------------------------- Instance
    // Variables

    /** instructor property */
    private String instructor;

    /** courseName property */
    private String courseName;

    /** courseNumber property */
    private String courseNumber;

    // --------------------------------------------------------- Methods

    /**
     * Method validate
     * 
     * @param ActionMapping
     *            mapping
     * @param HttpServletRequest
     *            request
     * @return ActionErrors
     */
    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {

        ActionErrors errors = new ActionErrors();

        if (instructor.trim().length() == 0) {
            errors.add("instructor", new ActionMessage("instructor.error"));
        }

        if (courseNumber.trim().length() == 0) {
            errors.add("courseNumber", new ActionMessage("courseNumber.error"));
        }

        if (courseName.trim().length() == 0) {
            errors.add("courseName", new ActionMessage("name.error"));
        }

        return errors;
    }

    /**
     * Method reset
     * 
     * @param ActionMapping
     *            mapping
     * @param HttpServletRequest
     *            request
     */
    public void reset(ActionMapping mapping, HttpServletRequest request) {

        courseNumber = "";
        courseName = "";
        instructor = "";
    }

    /**
     * Returns the instructor.
     * 
     * @return String
     */
    public String getInstructor() {
        return instructor;
    }

    /**
     * Set the instructor.
     * 
     * @param instructor
     *            The instructor to set
     */
    public void setInstructor(String instructor) {
        this.instructor = instructor;
    }

    /**
     * Returns the courseName.
     * 
     * @return String
     */
    public String getCourseName() {
        return courseName;
    }

    /**
     * Set the courseName.
     * 
     * @param courseName
     *            The courseName to set
     */
    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    /**
     * Returns the courseNumber.
     * 
     * @return String
     */
    public String getCourseNumber() {
        return courseNumber;
    }

    /**
     * Set the courseNumber.
     * 
     * @param courseNumber
     *            The courseNumber to set
     */
    public void setCourseNumber(String courseNumber) {
        this.courseNumber = courseNumber;
    }

}