/*
 * Created on Nov 25, 2003
 * 
 */
package eclipse.kickstart.example;

import junit.framework.TestCase;

/**
 * @author carlos
 * 
 */
public class SimpleCalculatorTest extends TestCase {

    private Calculator _calculator;

    public void testAdd() {
        int expected = 0;
        int actual = _calculator.add(0, 0);
        assertEquals(expected, actual);

        expected = 1;
        actual = _calculator.add(0, 1);
        assertEquals(expected, actual);

        try {
            actual = _calculator.add(Integer.MAX_VALUE, 1);
            fail("add() passed on an overflow value.");
        } catch (RuntimeException e) {
            // If we come here then an exception was
            // thrown and the test passed.
        }
       }
    /*
	 * @see TestCase#setUp()
	 */
    protected void setUp() throws Exception {
        _calculator = new SimpleCalculator();
    }

    /*
	 * @see TestCase#tearDown()
	 */
    protected void tearDown() throws Exception {
        _calculator = null;
    }

}
