package example.ve.swing;

import java.util.Vector;

import javax.swing.AbstractListModel;

public class TableNameListModel extends AbstractListModel {

    private Vector _tableName = new Vector();

    public TableNameListModel() {
        _tableName.add("Schedules");     
        _tableName.add("Instructors");     
        _tableName.add("Certifications");     
        _tableName.add("Courses");     
    }
    
    public int getSize() {
        return _tableName.size();
    }

    public Object getElementAt(int index) {
        int length = _tableName.size();
        if (index < 0 || index >= length) {
            throw new IllegalArgumentException("Bad index requested: " + index);
        }
        
        return _tableName.get(index);
    }

}
